> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List instore queues

> Retrieve waiting room information for the dispensary.

There are two queues used in the waiting rooms:

**Intake Queue**

The intake queue is used to track which customers are currently waiting at intake, the front desk, or a waiting room, generally prior to being admitted to the shop floor where the POS stations are located. It also shows the intake station if the customer has a pending order, for example a pickup, in case there are special instructions for such customers.

**POS Queue**

The POS queue is used to track which customers are currently waiting in the shop floor where the POS stations are located. Any user with a POS station can view and select customers from the queue to start a new order or (following a prompt) process any existing order, for example a pickup.


## OpenAPI

````yaml GET /api/v1/instore-queues
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/instore-queues:
    get:
      description: Retrieve waiting room information for the dispensary.
      parameters: []
      responses:
        '200':
          description: Instore queue response
          content:
            application/json:
              schema:
                type: object
                properties:
                  intake:
                    $ref: '#/components/schemas/QueueEntry'
                  pos:
                    $ref: '#/components/schemas/QueueEntry'
              example:
                data:
                  intake:
                    - id: 2982
                      email: perrin@getmeadow.com
                      firstName: Perrin
                      lastName: Aybara
                      phone: null
                      hashId: e35rkb
                      birthday: null
                      isFirstTime: true
                  pos:
                    - id: 2983
                      email: rand@getmeadow.com
                      firstName: Rand
                      lastName: Al'Thor
                      phone: '+18145551234'
                      hashId: gn6xpb
                      birthday: '1990-01-01'
                      isFirstTime: false
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    QueueEntry:
      type: object
      properties:
        id:
          type: number
          description: The id of the customer
        email:
          type: string
          description: The email of the customer
          nullable: true
        firstName:
          type: string
          description: The first name of the customer
        lastName:
          type: string
          description: The last name of the customer
        phone:
          type: string
          description: The phone of the customer
          nullable: true
        hashId:
          type: string
          description: >-
            An ID used to display to the customer and dispensary instead of the
            `id` number
        birthday:
          type: string
          description: The birthday of the customer in `YYYY-MM-DD` format
          nullable: true
        isFirstTime:
          type: boolean
          description: Whether this is the first time a customer is in the store
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````